JsonCpp project page | JsonCpp home page

Public Member Functions | List of all members
Json::StreamWriter::Factory Class Referenceabstract

A simple abstract factory. More...

`#include <json/writer.h>`

Inheritance diagram for Json::StreamWriter::Factory:
Collaboration diagram for Json::StreamWriter::Factory:

## Public Member Functions
virtual | ~Factory ()
virtual StreamWriter * | newStreamWriter () const =0
| Allocate a CharReader via operator new(). More...

## Detailed Description

A simple abstract factory.

Definition at line 58 of file writer.h.

## Constructor & Destructor Documentation

## ◆ ~Factory()

Json::StreamWriter::Factory::~Factory | ( |  | ) |
| virtual

Definition at line 1125 of file json_writer.cpp.

## Member Function Documentation

## ◆ newStreamWriter()

virtual StreamWriter* Json::StreamWriter::Factory::newStreamWriter | ( |  | ) | const
| pure virtual

Allocate a CharReader via operator new().

Exceptions

  std::exception | if something goes wrong (e.g. invalid settings)

Implemented in Json::StreamWriterBuilder.

Referenced by Json::writeString().

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- include/json/writer.h
- src/lib_json/json_writer.cpp